Skip to main content
`Ctrl`+`K`

# PetscLogClassInfo

A registry entry about a class for `PetscLogState`.

## Synopsis

    typedef struct {
      char        *name;    /* The class name */
      PetscClassId classid; /* The integer identifying this class */
    } PetscLogClassInfo;

## See Also

Profiling, `PetscLogClass`, `PetscLogState`, `PetscLogStateStageGetInfo()`

## Level

developer

## Location

include/petsclogtypes.h

Index of all Log routines
Table of Contents for all manual pages
Index of all manual pages